{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [], \"index\": \"metricbeat-*\"}"
                },
                "title": "Service States [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"sortOrder\": \"desc\", \"customLabel\": \"Latest Report\", \"sortField\": \"@timestamp\", \"aggregate\": \"concat\", \"size\": 1, \"field\": \"@timestamp\"}, \"id\": \"1\", \"type\": \"top_hits\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"size\": 100, \"orderBy\": \"_term\", \"field\": \"windows.service.display_name\", \"customLabel\": \"Service\", \"order\": \"asc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"size\": 5, \"orderBy\": \"_term\", \"field\": \"host.name\", \"customLabel\": \"Host\", \"order\": \"desc\"}, \"id\": \"5\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"size\": 1, \"order\": \"desc\", \"customLabel\": \"State\", \"orderBy\": \"custom\", \"orderAgg\": {\"enabled\": true, \"schema\": {\"aggFilter\": [\"!top_hits\", \"!percentiles\", \"!median\", \"!std_dev\", \"!derivative\", \"!moving_avg\", \"!serial_diff\", \"!cumulative_sum\", \"!avg_bucket\", \"!max_bucket\", \"!min_bucket\", \"!sum_bucket\"], \"hideCustomLabel\": true, \"name\": \"orderAgg\", \"min\": 0, \"group\": \"none\", \"editor\": false, \"title\": \"Order Agg\", \"deprecate\": false, \"params\": [], \"max\": null}, \"params\": {\"field\": \"@timestamp\"}, \"id\": \"3-orderAgg\", \"type\": \"max\"}, \"field\": \"windows.service.state\"}, \"id\": \"3\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"size\": 1, \"order\": \"desc\", \"customLabel\": \"Startup Type\", \"orderBy\": \"custom\", \"orderAgg\": {\"enabled\": true, \"schema\": {\"aggFilter\": [\"!top_hits\", \"!percentiles\", \"!median\", \"!std_dev\", \"!derivative\", \"!moving_avg\", \"!serial_diff\", \"!cumulative_sum\", \"!avg_bucket\", \"!max_bucket\", \"!min_bucket\", \"!sum_bucket\"], \"hideCustomLabel\": true, \"name\": \"orderAgg\", \"min\": 0, \"group\": \"none\", \"editor\": false, \"title\": \"Order Agg\", \"deprecate\": false, \"params\": [], \"max\": null}, \"params\": {\"field\": \"@timestamp\"}, \"id\": \"4-orderAgg\", \"type\": \"max\"}, \"field\": \"windows.service.start_type\"}, \"id\": \"4\", \"type\": \"terms\"}], \"title\": \"Service States [Metricbeat Windows] ECS\", \"params\": {\"totalFunc\": \"sum\", \"showMeticsAtAllLevels\": false, \"showTotal\": false, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"perPage\": 10}, \"type\": \"table\"}"
            },
            "id": "eb8277d0-c98c-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Hosts [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Total Services\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"size\": 100, \"orderBy\": \"1\", \"field\": \"host.name\", \"customLabel\": \"Host\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"Hosts [Metricbeat Windows] ECS\", \"params\": {\"totalFunc\": \"sum\", \"showMeticsAtAllLevels\": false, \"showTotal\": false, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"perPage\": 10}, \"type\": \"table\"}"
            },
            "id": "23a5fff0-c98e-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Startup States [Metricbeat Windows] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Service Count\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"windows.service.start_type\", \"customLabel\": \"Startup Type\", \"order\": \"desc\"}, \"id\": \"4\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"windows.service.state\", \"customLabel\": \"State\", \"order\": \"desc\"}, \"id\": \"3\", \"type\": \"terms\"}], \"title\": \"Startup States [Metricbeat Windows] ECS\", \"params\": {\"type\": \"pie\", \"legendPosition\": \"right\", \"isDonut\": true, \"addTooltip\": true, \"addLegend\": true}, \"type\": \"pie\"}"
            },
            "id": "830c45f0-c991-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Unique Services [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Services\"}, \"id\": \"1\", \"type\": \"cardinality\"}], \"title\": \"Unique Services [Metricbeat Windows] ECS\", \"params\": {\"type\": \"gauge\", \"gauge\": {\"orientation\": \"vertical\", \"gaugeColorMode\": \"None\", \"style\": {\"labelColor\": false, \"fontSize\": 60, \"bgColor\": false, \"subText\": \"\"}, \"colorsRange\": [{\"to\": 100, \"from\": 0}], \"autoExtend\": false, \"invertColors\": false, \"scale\": {\"width\": 2, \"show\": false, \"labels\": false, \"color\": \"#333\"}, \"verticalSplit\": false, \"labels\": {\"show\": false, \"color\": \"black\"}, \"type\": \"simple\", \"gaugeStyle\": \"Full\", \"useRange\": false, \"gaugeType\": \"Metric\", \"percentageMode\": false, \"backStyle\": \"Full\", \"colorSchema\": \"Green to Red\"}, \"addTooltip\": true, \"addLegend\": false}, \"type\": \"metric\"}"
            },
            "id": "35f5ad60-c996-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": [{\"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"index\": \"metricbeat-*\", \"value\": \"exists\", \"type\": \"exists\", \"key\": \"windows.service.exit_code\", \"alias\": null}, \"exists\": {\"field\": \"windows.service.exit_code\"}}, {\"query\": {\"match\": {\"windows.service.exit_code\": {\"query\": \"0\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": true, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": {\"query\": \"0\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"key\": \"windows.service.exit_code\", \"value\": \"0\", \"alias\": null}}, {\"query\": {\"match\": {\"windows.service.exit_code\": {\"query\": \"ERROR_SERVICE_NEVER_STARTED\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": true, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": {\"query\": \"ERROR_SERVICE_NEVER_STARTED\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"key\": \"windows.service.exit_code\", \"value\": \"ERROR_SERVICE_NEVER_STARTED\", \"alias\": null}}]}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Non-zero Service Exit Codes [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Non-zero Exit Codes\"}, \"id\": \"1\", \"type\": \"cardinality\"}], \"title\": \"Non-zero Service Exit Codes [Metricbeat Windows] ECS\", \"params\": {\"type\": \"gauge\", \"gauge\": {\"orientation\": \"vertical\", \"gaugeColorMode\": \"None\", \"style\": {\"labelColor\": false, \"fontSize\": 60, \"bgColor\": false, \"subText\": \"\"}, \"colorsRange\": [{\"to\": 100, \"from\": 0}], \"autoExtend\": false, \"invertColors\": false, \"scale\": {\"width\": 2, \"show\": false, \"labels\": false, \"color\": \"#333\"}, \"verticalSplit\": false, \"labels\": {\"show\": false, \"color\": \"black\"}, \"type\": \"simple\", \"gaugeStyle\": \"Full\", \"useRange\": false, \"gaugeType\": \"Metric\", \"percentageMode\": false, \"backStyle\": \"Full\", \"colorSchema\": \"Green to Red\"}, \"addTooltip\": true, \"addLegend\": false}, \"type\": \"metric\"}"
            },
            "id": "c36b2ba0-ca29-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 1
        },
        {
            "attributes": {
                "columns": [
                    "host.name",
                    "windows.service.display_name",
                    "windows.service.state",
                    "windows.service.start_type",
                    "windows.service.uptime.ms",
                    "windows.service.pid",
                    "windows.service.exit_code"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"index\": \"metricbeat-*\", \"filter\": [{\"query\": {\"match\": {\"event.module\": {\"query\": \"windows\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": {\"query\": \"windows\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"key\": \"event.module\", \"value\": \"windows\", \"alias\": null}}, {\"query\": {\"match\": {\"metricset.name\": {\"query\": \"service\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"index\": \"metricbeat-*\", \"params\": {\"query\": \"service\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"key\": \"metricset.name\", \"value\": \"service\", \"alias\": null}}], \"highlightAll\": true, \"version\": true}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "Services [Metricbeat Windows] ECS",
                "version": 1
            },
            "id": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
            "type": "search",
            "version": 2
        },
        {
            "attributes": {
                "description": "Overview of the Windows Service States",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"version\": true, \"filter\": [], \"highlightAll\": true}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"id\": \"eb8277d0-c98c-11e7-9835-2f31fe08873b-ecs\", \"type\": \"visualization\", \"row\": 4, \"size_x\": 9, \"panelIndex\": 1, \"col\": 4, \"size_y\": 5}, {\"id\": \"23a5fff0-c98e-11e7-9835-2f31fe08873b-ecs\", \"type\": \"visualization\", \"row\": 4, \"size_x\": 3, \"panelIndex\": 2, \"col\": 1, \"size_y\": 5}, {\"id\": \"830c45f0-c991-11e7-9835-2f31fe08873b-ecs\", \"type\": \"visualization\", \"row\": 1, \"size_x\": 4, \"panelIndex\": 3, \"col\": 1, \"size_y\": 3}, {\"id\": \"35f5ad60-c996-11e7-9835-2f31fe08873b-ecs\", \"type\": \"visualization\", \"row\": 1, \"size_x\": 4, \"panelIndex\": 4, \"col\": 5, \"size_y\": 3}, {\"id\": \"c36b2ba0-ca29-11e7-9835-2f31fe08873b-ecs\", \"type\": \"visualization\", \"row\": 1, \"size_x\": 4, \"panelIndex\": 5, \"col\": 9, \"size_y\": 3}]",
                "timeRestore": false,
                "title": "[Metricbeat Windows] Services ECS",
                "uiStateJSON": "{\"P-1\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}, \"P-4\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}, \"P-5\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}, \"P-2\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}}",
                "version": 1
            },
            "id": "d9eba730-c991-11e7-9835-2f31fe08873b-ecs",
            "type": "dashboard",
            "version": 6
        }
    ],
    "version": "6.0.0"
}